<!-- Component spec for Complex CIC lowpass filter  
    
When this component receives a "Sync" message it is responsible for performing whatever is 
required to handle a discontinuity in the input data stream.  All of the control protocol
being handled at the input must be passed to the output.

This is a simple CIC half band lowpass filter.

-->

<ComponentSpec>

  <Properties>
    <!-- M - integer decimation factor   Format: UShort   -->
    <Property Name="M" type="UShort" Readable="true" Writable="true"/>
    <!-- Bypass filter - if true, no transform  Format: bool -->
    <Property Name="bypass" type="bool" Readable="true" Writable="true"/>
    <!-- Gain factor   Format: Qs0.15 -->
    <Property Name="gain" type="Short" Readable="true" Writable="true"/>
    <!-- peakDetect  Format: IQ (16Q,16I) Qs0.15 -->
    <Property Name="peakDetect" type="Short" Volatile="true" Writable="true"/>
  </Properties>

  <!-- Input data and control stream -->
  <DataInterfaceSpec Name="in" Producer="false">
      <include href="iqstream_with_sync_protocol.xml"/>
  </DataInterfaceSpec>

  <!-- Output data and control stream -->
  <DataInterfaceSpec Name="out" Producer="true">
      <include href="iqstream_with_sync_protocol.xml"/>
  </DataInterfaceSpec>

</ComponentSpec>
